
Foreman - Refactor #13936

Drop support for legacy browsers

02/29/2016 02:34 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3803

  

Description

For example, IE<=10 and older versions of FF/Chrome.

Supporting old versions requires extra code in our front end (both js and css) and limits our possibility of using newer technology.

When updating, we can also update jQuery to 2.x.

This should be noted in release notes.

Associated revisions

Revision bbefa32c - 09/15/2016 11:40 AM - Tomer Brisker

Fixes #13936 - Drop support for legacy browsers

This patch removes various workarounds needed to get legacy browsers to

work. Mostly stuff needed for IE<10, but also some other vendor prefixes

that are no longer needed.

History

#1 - 09/01/2016 09:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3803 added

#2 - 09/06/2016 10:01 AM - Daniel Lobato Garcia

- Target version set to 1.6.2

#3 - 09/14/2016 07:11 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 1.5.2

#4 - 09/15/2016 12:04 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bbefa32cd3908d08712a78588a5cf2c04130791c.

#5 - 09/16/2016 03:05 AM - Dominic Cleal

- translation missing: en.field_release set to 189
